export class NotOwnerError extends Error {
    errorCode = "NotOwnerError";
    constructor(message = "NotOwnerError") {
        super(message);
    }
}
export class PackageNotFoundError extends Error {
    errorCode = "PackageNotFoundError";
    constructor(message = "PackageNotFoundError") {
        super(message);
    }
}
export const errors = {
    AddPackage: { NotOwnerError },
    RemovePackage: { NotOwnerError },
    SetPackageVersion: { PackageNotFoundError, NotOwnerError },
};
